package com.sobot.common.login.model;

import com.sobot.gson.annotations.Expose;
import com.sobot.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

//在线接口返回的客服信息
public class OnlineUserEntity implements Serializable {

    private static final long serialVersionUID = 1L;
    private String tempId;    //客服temp-id
    private int status; // 1：在线，0：离线，2：其他
    private int statusCode; // 当status=2时，2-人工忙碌，3-人工小休，4-人工培训，5-人工会议，6-人工用餐，7-人工活动
    private String pu;
    private String puid;
    private int imFlag;//0是工单客服  1是在线客服
    private int topFlag;//星标置顶 0不置顶 1置顶
    private int sortFlag;//会话排序 0 按接入顺序 1 按新消息时间
    private int fuseWork;//1-存在融合工作台，使用新版服务总计 0-没有融合工作台
    private int transferAuditFlag;//转接审核开关 0关闭  1开启

    private String kbVersion;//智能回复，查询版本v6/v1
    private String robotVersion;//机器人，查询版本v6/v1
    private String onlineVersion;//在线，查询版本v6/v1
    private String defaultAppLoginStatus;//登录的默认状态
    private int readFlag=0;//已读未读 0-关闭，1-开启,readFlag=1时需要把收到的消息及历史记录中的消息 readStatus为1的标为未读，2标为已读「0-未标记，1-未读，2-已读」


    @Expose
    @SerializedName("wslink.bak")
    private List<String> wslinkBak;//通道地址

    @Expose
    @SerializedName("wslink.default")
    private String wslinkDefault;//通道默认地址

    public String getTempId() {
        return tempId;
    }

    public void setTempId(String tempId) {
        this.tempId = tempId;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getPu() {
        return pu;
    }

    public void setPu(String pu) {
        this.pu = pu;
    }

    public String getPuid() {
        return puid;
    }

    public void setPuid(String puid) {
        this.puid = puid;
    }

    public int getImFlag() {
        return imFlag;
    }

    public void setImFlag(int imFlag) {
        this.imFlag = imFlag;
    }

    public int getTopFlag() {
        return topFlag;
    }

    public void setTopFlag(int topFlag) {
        this.topFlag = topFlag;
    }

    public int getSortFlag() {
        return sortFlag;
    }

    public void setSortFlag(int sortFlag) {
        this.sortFlag = sortFlag;
    }

    public int getFuseWork() {
        return fuseWork;
    }

    public void setFuseWork(int fuseWork) {
        this.fuseWork = fuseWork;
    }

    public int getTransferAuditFlag() {
        return transferAuditFlag;
    }

    public void setTransferAuditFlag(int transferAuditFlag) {
        this.transferAuditFlag = transferAuditFlag;
    }

    public String getKbVersion() {
        return kbVersion;
    }

    public void setKbVersion(String kbVersion) {
        this.kbVersion = kbVersion;
    }

    public List<String> getWslinkBak() {
        return wslinkBak;
    }

    public void setWslinkBak(List<String> wslinkBak) {
        this.wslinkBak = wslinkBak;
    }

    public String getWslinkDefault() {
        return wslinkDefault;
    }

    public void setWslinkDefault(String wslinkDefault) {
        this.wslinkDefault = wslinkDefault;
    }

    public String getRobotVersion() {
        return robotVersion;
    }

    public void setRobotVersion(String robotVersion) {
        this.robotVersion = robotVersion;
    }

    public String getOnlineVersion() {
        return onlineVersion;
    }

    public void setOnlineVersion(String onlineVersion) {
        this.onlineVersion = onlineVersion;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getDefaultAppLoginStatus() {
        return defaultAppLoginStatus;
    }

    public void setDefaultAppLoginStatus(String defaultAppLoginStatus) {
        this.defaultAppLoginStatus = defaultAppLoginStatus;
    }

    public int getReadFlag() {
        return readFlag;
    }

    public void setReadFlag(int readFlag) {
        this.readFlag = readFlag;
    }
}
